Results 1 to 4 of 4

Thread: installing php 7 on 14.04 - Cannot add PPA: 'ppa:ondrej/php-7.0'

  1. #1
    Join Date
    Jul 2014
    Beans
    290

    Question installing php 7 on 14.04 - Cannot add PPA: 'ppa:ondrej/php-7.0'

    Hi all,
    I'm trying to install php 7 on 14.04, but can't add ppa.
    Code:
    $ sudo add-apt-repository ppa:ondrej/php-7.0Cannot add PPA: 'ppa:ondrej/php-7.0'.
    Please check that the PPA name or format is correct.
    Please advise.

  2. #2
    Join Date
    Nov 2008
    Location
    Metro Boston
    Beans
    14,517
    Distro
    Kubuntu Development Release

    Re: installing php 7 on 14.04 - Cannot add PPA: 'ppa:ondrej/php-7.0'

    14.04 is no longer supported. I don't see any 14.04 builds in the list on this page: https://launchpad.net/~ondrej/+archive/ubuntu/php

    Time to upgrade to 18.04.
    If you ask for help, do not abandon your request. Please have the courtesy to check for responses and thank the people who helped you.

    Blog · Linode System Administration Guides · Android Apps for Ubuntu Users

  3. #3
    Join Date
    Mar 2010
    Location
    Squidbilly-Land
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: installing php 7 on 14.04 - Cannot add PPA: 'ppa:ondrej/php-7.0'

    +1 - move to 18.04 which is supported into 2023. It is the current LTS release.

    If you stay with Canonical server packages, then you can pay for support for 10 yrs. That won't address any PPA support. That is something that you'll need to handle yourself or pay the team to accomplish. Hobbyists maintaining a PPA are more likely to want to be on the most recent LTS for server software or the most recent distro for desktop stuff.

    Best to stick with the core stuff that Canonical supports. For fun, run this:
    Code:
    sudo ubuntu-support-status

  4. #4
    Join Date
    Jul 2014
    Beans
    290

    Re: installing php 7 on 14.04 - Cannot add PPA: 'ppa:ondrej/php-7.0'

    Thanks SeijiSensei, TheFu. It worked for me on 18.04.3 LTS. Though it's vps and I had to create everything from scratch, because vps provider claimed that upgrade would not go well. I have two other vps with 14.04 and would try to upgrade them from console. Anyway... it is ok now on vps that I needed the most. Thanks.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •